Bug 1564553 - avahi FTBFS on f28/aarch64
Summary: avahi FTBFS on f28/aarch64
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: annobin
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 15:26 UTC by Rex Dieter
Modified: 2019-05-28 21:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:49:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Rex Dieter 2018-04-06 15:26:38 UTC
Latest attempt:

https://koji.fedoraproject.org/koji/taskinfo?taskID=26192821

Note: succeeds on f27 and rawhide(f29)

make[3]: Entering directory '/builddir/build/BUILD/avahi-0.7/avahi-qt'
/bin/sh ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I..  -I.. -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -D_REENTRANT -I/usr/lib64/qt-3.3/include  -fvisibility=hidden -DHAVE_VISIBILITY_HIDDEN   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection -fstack-protector -c -o libavahi_qt3_la-qt-watch.lo `test -f 'qt-watch.cpp' || echo './'`qt-watch.cpp
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I.. -I.. -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -D_REENTRANT -I/usr/lib64/qt-3.3/include -fvisibility=hidden -DHAVE_VISIBILITY_HIDDEN -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection -fstack-protector -c qt-watch.cpp  -fPIC -DPIC
libtool: compile: mv -f "qt-watch.o" ".libs/libavahi_qt3_la-qt-watch.o"
make[3]: Leaving directory '/builddir/build/BUILD/avahi-0.7/avahi-qt'
annobin: qt_watch.cpp: ICE: Should be 64-bit target
mv: cannot stat 'qt-watch.o': No such file or directory
make[3]: *** [Makefile:656: libavahi_qt3_la-qt-watch.lo] Error 1

Comment 1 Rex Dieter 2018-04-06 15:27:47 UTC
Triaging to annobin, since that's the only message hinting a problem before the error occurs.

make[3]: Leaving directory '/builddir/build/BUILD/avahi-0.7/avahi-qt'
annobin: qt_watch.cpp: ICE: Should be 64-bit target
mv: cannot stat 'qt-watch.o': No such file or directory
make[3]: *** [Makefile:656: libavahi_qt3_la-qt-watch.lo] Error 1

Any suggestions?

Comment 2 Rex Dieter 2018-04-06 15:45:11 UTC
Interestingly, replacing

%make_build -k V=1

with 

%make_build -k V=1 || make V=1

seems to allow it to succeed (double-checking now), so could be a latent not-seen-until now parallel-build issue. 

Still, more than a little odd that it only happens on f28/aarch64

Comment 3 Nick Clifton 2018-04-06 15:58:06 UTC
Hi Rex,

> annobin: qt_watch.cpp: ICE: Should be 64-bit target

This message means that annobin was invoked when the compiler was compiling
code for a 32-bit AArch64 target.  (Ie with -mabi=ilp32 specified).  Which
as far as I can see should not be happening.  So it definitely looks like 
there is a race condition somewhere in the avahi-qt build system.  But how
that could be causing this problem I have no idea.

It's either that or there is some kind of weird bug in the annobin plugin...

If you want you could try adding:

  %undefine _annotated_build

to the spec file, so that annobin is not used.  Although if that does work
I would be interested in trying to reproduce the problem myself, so that I
could investigate further.

  Nick

Comment 4 Rex Dieter 2018-04-06 21:25:23 UTC
Confirmed 
%undefine _annotated_build
works too,

https://koji.fedoraproject.org/koji/taskinfo?taskID=26198718

Comment 5 Ben Cotton 2019-05-02 21:19:59 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 21:49:38 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.